audio = {}

local divisions

function audio.initialize(vol, div)
  love.audio.setVolume(vol or 1)
  divisions = div or 10
end

function audio.loadConfig()
  if love.filesystem.getInfo('volume.cfg') then
    local vol = love.filesystem.read('volume.cfg')
    vol = tonumber(vol)
    love.audio.setVolume(vol/divisions)
  else
    love.audio.setVolume(1)
  end
end

function audio.saveConfig()
  love.filesystem.write('volume.cfg', love.audio.getVolume() * divisions)
end
