state_title = newState()

function state_title.load(index)
  board = newGuiBoard(3,'RRRRRRRRR',5)
  
  menu.buttons = {}
  menu:addButton('PLAY',     screen.width / 2, screen.height / 2 - 22, function() state_machine.change(state_selectboard) end)
  menu:addButton('LOAD',     screen.width / 2, screen.height / 2,      function() state_machine.change(state_load) end)
  --menu:addButton('EDITOR',   screen.width / 2, screen.height / 2 + 22, function() end)
  menu:addButton('TUTORIAL', screen.width / 2, screen.height / 2 + 22, function() state_machine.change(state_tutorial) end)
  menu:addButton('EXIT',     screen.width / 2, screen.height / 2 + 44, function() love.event.quit() end)
  
  menu.selected_index = index or 1
end

function state_title.draw()
  love.graphics.printf('ICE SLIDER', 0, 50, screen.width, 'center')
  menu:draw()
end

function state_title.keypressed(key)
  if key == 'escape' then
    love.event.quit()
  elseif key == 'return' then
    menu:press()
  elseif key == 'up' or key == 'left' then
    menu:cycleUp()
  elseif key == 'down' or key == 'right' then
    menu:cycleDown()
  end
end

function state_title.keyreleased(key)
  menu:release()
end